Index: src/perl/register-dataset.cgi
===================================================================
--- src/perl/register-dataset.cgi	(revision 4576)
+++ src/perl/register-dataset.cgi	(revision 4577)
@@ -54,7 +54,7 @@
 unless (open (METACAT_PROPERTIES, $metacatProps)) {
     print "Content-type: text/html\n\n";
     print "Unable to locate Metacat properties. Working directory is set as '$workingDirectory', is this correct?";
-    exit(0);
+    exit();
 }
 
 $properties->load(*METACAT_PROPERTIES);
@@ -116,7 +116,7 @@
     unless (open (SKIN_PROPERTIES, $skinProps)) {
         print "Content-type: text/html\n\n";
         print "Unable to locate skin properties at $skinProps.  Is this path correct?";
-        exit(0);
+        exit();
     }
     $skinProperties->load(*SKIN_PROPERTIES);
 }
@@ -147,7 +147,7 @@
 my %siteLatDMS;
 my %siteLongDMS;
 
-while ( my ($key, $value) = each (%$spatial)) {
+while (my ($key, $value) = each (%$spatial)) {
     my ($name, $lon, $lat) = split(/\|/, $value);
     my ($latd, $latm, $lats, $latdir) = split(/\|/, $lat);
     my ($lond, $lonm, $lons, $londir) = split(/\|/, $lon);
@@ -192,41 +192,41 @@
     # Send back the login form.....
     my $session = CGI::Session->load() or die CGI::Session->errstr();
 
-    if($FORM::submission eq 'true'){
-    	$$templateVars{'message'} = 'You must login to view your submissions.';
-    }	
+    if ($FORM::submission eq 'true') {
+        $$templateVars{'message'} = 'You must login to view your submissions.';
+    }
 
-    if ( $session->is_empty ) {
-	# no session found ... redirect to login page template
-        $template->process( $templates->{'login'}, $templateVars);
+    if ($session->is_empty) {
+    # no session found ... redirect to login page template
+        $template->process($templates->{'login'}, $templateVars);
     } else {
-	# session found ... delete the session....
-	$session->delete();
-	$template->process( $templates->{'login'}, $templateVars);
+        # session found ... delete the session....
+        $session->delete();
+        $template->process($templates->{'login'}, $templateVars);
     }
-	exit(0);
+    exit();
 } elsif ($FORM::stage =~ "logout") {
-	handleLogoutRequest();
-  	exit(0);
+    handleLogoutRequest();
+    exit();
 } elsif ($FORM::stage =~ "login") {
-	handleLoginRequest();
-  	exit(0);
+    handleLoginRequest();
+    exit();
 } elsif ($FORM::stage =~ "mod_accept") {
-	handleModAccept();
-  	exit(0);
+    handleModAccept();
+    exit();
 } elsif ($FORM::stage =~ "mod_decline") {
-	handleModDecline();
-  	exit(0);
+    handleModDecline();
+    exit();
 } elsif ($FORM::stage =~ "mod_revise") {
-	handleModRevise();
-  	exit(0);
+    handleModRevise();
+    exit();
 } elsif ($FORM::stage =~ "read") {
-	handleRead();
-	exit(0);
-} elsif ($FORM::stage =~ "review_frame"){
- 	handleReviewFrame();	
-	exit(0);
-} 
+    handleRead();
+    exit();
+} elsif ($FORM::stage =~ "review_frame") {
+    handleReviewFrame();
+    exit();
+}
 
 print "Content-type: text/html\n\n";
 
@@ -233,89 +233,89 @@
 if ($FORM::stage =~ "guide") {
     # Send back the information on how to fill the form
     $$templateVars{'section'} = "Guide on How to Complete Registry Entries";
-    $template->process( $template->{'guide'}, $templateVars);
-    exit(0);
+    $template->process($template->{'guide'}, $templateVars);
+    exit();
 
 } elsif ($FORM::stage =~ "insert") {
     # The user has entered the data. Do data validation and send back data 
     # to confirm the data that has been entered. 
     toConfirmData();
-    exit(0);
+    exit();
 
-}elsif ($FORM::dataWrong =~ "No, go back to editing" && $FORM::stage =~ "confirmed") {
+} elsif ($FORM::dataWrong =~ "No, go back to editing" && $FORM::stage =~ "confirmed") {
     # The user wants to correct the data that he has entered. 
     # Hence show the data again in entryData form. 
     confirmDataToReEntryData();
-    exit(0);
+    exit();
 
-}elsif ($FORM::stage =~ "modify") {
+} elsif ($FORM::stage =~ "modify") {
     # Modification of a file has been requested. 
     # check if the user is logged in...
     my $session = CGI::Session->load() or die CGI::Session->errstr();
-    if ( $session->is_empty ) {
+    if ($session->is_empty) {
         # no session found ... redirect to login page template
-    	$$templateVars{'message'} = 'You must login to modify your dataset.';
-        $template->process( $templates->{'login'}, $templateVars);
+        $$templateVars{'message'} = 'You must login to modify your dataset.';
+        $template->process($templates->{'login'}, $templateVars);
     } else {
-    	# Show the form will all the values filled in.
-    	my @sortedSites;
-    	foreach my $site (sort @sitelist) {
-        	push(@sortedSites, $site);
-    	}
-    	$$templateVars{'siteList'} = \@sortedSites;
-    	$$templateVars{'section'} = "Modification Form";
-    	$$templateVars{'docid'} = $FORM::docid;
-    	modifyData();
+        # Show the form will all the values filled in.
+        my @sortedSites;
+        foreach my $site (sort @sitelist) {
+            push(@sortedSites, $site);
+        }
+        $$templateVars{'siteList'} = \@sortedSites;
+        $$templateVars{'section'} = "Modification Form";
+        $$templateVars{'docid'} = $FORM::docid;
+        modifyData();
     }
-    exit(0);
+    exit();
 
-}elsif ($FORM::stage =~ "delete_confirm") {
+} elsif ($FORM::stage =~ "delete_confirm") {
 
     # Result from deleteData form. 
-    if($FORM::deleteData =~ "Delete document"){
-    # delete Data
-    deleteData(1);    
-    exit(0);
+    if ($FORM::deleteData =~ "Delete document") {
+        # delete Data
+        deleteData(1);
+        exit();
     } else {
-    $$templateVars{'status'} = "Cancel";
-    $$templateVars{'function'} = "cancel";
-    $template->process( $templates->{'response'}, $templateVars);
-    exit(0);
+        $$templateVars{'status'} = "Cancel";
+        $$templateVars{'function'} = "cancel";
+        $template->process($templates->{'response'}, $templateVars);
+        exit();
     }
 
-}elsif ($FORM::stage =~ "delete") {
+} elsif ($FORM::stage =~ "delete") {
     # Deletion of a file has been requested. 
     # Ask for username and password using deleteDataForm
     $$templateVars{'docid'} = $FORM::docid;
-    $template->process( $templates->{'deleteData'}, $templateVars);
-    exit(0);
+    $template->process($templates->{'deleteData'}, $templateVars);
+    exit();
 
-}elsif ($FORM::stage !~ "confirmed") {
+} elsif ($FORM::stage !~ "confirmed") {
     # None of the stages have been reached and data is not being confirmed. 
-    
+
     # check if the user is logged in...
     my $session = CGI::Session->load() or die CGI::Session->errstr();
-    if ( $session->is_empty ) {
+    if ($session->is_empty) {
         # no session found ... redirect to login page template
         $$templateVars{'showInstructions'} = 'true';
         $$templateVars{'message'} = 'You must login to register your dataset.';
         debug($templates->{'login'});
-        $template->process( $templates->{'login'}, $templateVars);
+        $template->process($templates->{'login'}, $templateVars);
     } else {
 
-    	# Hence, send back entry form for entry of data.  
-    	debug("Registry: Sending form");
-    	my @sortedSites;
-    	foreach my $site (sort @sitelist) {
-        	push(@sortedSites, $site);
-    	}
+        # Hence, send back entry form for entry of data.  
+        debug("Registry: Sending form");
+        my @sortedSites;
+        foreach my $site (sort @sitelist) {
+            push(@sortedSites, $site);
+        }
 
-    	if ($skinName eq 'nceas') {
-        	my $projects = getProjectList($properties);
-        	$$templateVars{'projects'} = $projects;
-        	$$templateVars{'wg'} = \@FORM::wg;
-    	}
-        
+        if ($skinName eq 'nceas') {
+            my $projects = getProjectList($properties);
+            $$templateVars{'projects'} = $projects;
+            $$templateVars{'wg'} = \@FORM::wg;
+        }
+
         $$templateVars{'modules'} = $modules;
         $$templateVars{'required'} = $required;
         $$templateVars{'templates'} = $templates;
@@ -326,10 +326,10 @@
         $$templateVars{'section'} = "Entry Form";
         $$templateVars{'docid'} = "";
         debug("Registry: Sending form: ready to process template");
-        $template->process( $templates->{'entry'}, $templateVars);
+        $template->process($templates->{'entry'}, $templateVars);
         debug("Registry: Sending form: template processed");
    }
-   exit(0);
+   exit();
 }
 
 # Confirm stage has been reached. Enter the data into metacat. 
@@ -393,11 +393,11 @@
         $$templateVars{'cfg'} = $skinName;
         $$templateVars{'function'} = "submitted";
         $$templateVars{'section'} = "Submission Status";
-        $template->process( $templates->{'response'}, $templateVars);
-        exit(0);
+        $template->process($templates->{'response'}, $templateVars);
+        exit();
     } else {
 
-    if($config->{'adminIsDocOwner'} eq 'true'){
+    if ($config->{'adminIsDocOwner'} eq 'true') {
         debug("Registry: adminIsDocOwner is set.");
         $response = $metacat->login($username, $password);
         if (! $response) {
@@ -409,14 +409,14 @@
             $$templateVars{'cfg'} = $skinName;
             $$templateVars{'function'} = "submitted";
             $$templateVars{'section'} = "Submission Status";
-            $template->process( $templates->{'response'}, $templateVars);
-            exit(0);
+            $template->process($templates->{'response'}, $templateVars);
+            exit();
         }
     }
 
-        debug( "Registry: A");
+        debug("Registry: A");
         if ($FORM::docid eq "") {
-            debug( "Registry: B1");
+            debug("Registry: B1");
             # document is being inserted 
             my $docStatus = "INCOMPLETE";
             while ($docStatus eq "INCOMPLETE") {
@@ -472,9 +472,9 @@
             # Create our HTML response and send it back
             $$templateVars{'function'} = "modified";
             $$templateVars{'section'} = "Modification Status";
-            $template->process( $templates->{'response'}, $templateVars);
+            $template->process($templates->{'response'}, $templateVars);
 
-            exit(0);
+            exit();
         }
     }
 }
@@ -505,9 +505,9 @@
 $$templateVars{'function'} = "submitted";
 $$templateVars{'section'} = "Submission Status";
 
-$template->process( $templates->{'response'}, $templateVars);
+$template->process($templates->{'response'}, $templateVars);
 
-exit(0);
+exit();
 
 ################################################################################
 #
@@ -590,153 +590,132 @@
         unless hasContent($FORM::origNamelast0);
     push(@invalidParams, "Dataset abstract is missing.")
         unless hasContent($FORM::abstract);
-    if($modules->{'temporal'} eq 'true'){
-	push(@invalidParams, "Year of start date is missing.")
-	    unless (hasContent($FORM::beginningYear) || $required->{'temporal'} ne 'true');
-	push(@invalidParams, "Year of stop date has been specified but year of start date is missing.")
-	    if ((!hasContent($FORM::beginningYear)) && hasContent($FORM::endingYear));
+    if ($modules->{'temporal'} eq 'true') {
+        push(@invalidParams, "Year of start date is missing.")
+            unless (hasContent($FORM::beginningYear) || $required->{'temporal'} ne 'true');
+        push(@invalidParams, "Year of stop date has been specified but year of start date is missing.")
+            if ((!hasContent($FORM::beginningYear)) && hasContent($FORM::endingYear));
     }
     push(@invalidParams, "Geographic description is missing.")
         unless (hasContent($FORM::geogdesc) || $required->{'spatial'} ne 'true');
 
-    if($FORM::beginningMonth eq "MM"){
-	#if (hasContent($FORM::beginningYear)){
-	#    $FORM::beginningMonth = "01";
-	#} else {
-	    $FORM::beginningMonth = "";
-	#}
+    if ($FORM::beginningMonth eq "MM") {
+        $FORM::beginningMonth = "";
     }
-    if($FORM::beginningDay eq "DD"){
-	#if (hasContent($FORM::beginningYear)){
-	#    $FORM::beginningDay = "01";
-	#} else {
-	    $FORM::beginningDay = "";
-	#}
+    if ($FORM::beginningDay eq "DD") {
+        $FORM::beginningDay = "";
     }
-    if($FORM::endingMonth eq "MM"){
-	#if (hasContent($FORM::endingYear)){
-	#    $FORM::endingMonth = "01";
-	#} else {
-	    $FORM::endingMonth = "";
-	#}
-    }    
-    if($FORM::endingDay eq "DD"){
-	#if (hasContent($FORM::endingYear)){
-	#    $FORM::endingDay = "01";
-	#} else {
-	    $FORM::endingDay = "";
-	#}
+    if ($FORM::endingMonth eq "MM") {
+        $FORM::endingMonth = "";
     }
+    if ($FORM::endingDay eq "DD") {
+        $FORM::endingDay = "";
+    }
 
-    if (hasContent($FORM::beginningYear) && !($FORM::beginningYear =~ /[0-9]{4}/)){
-	push(@invalidParams, "Invalid year of start date specified.")
+    if (hasContent($FORM::beginningYear) && !($FORM::beginningYear =~ /[0-9]{4}/)) {
+        push(@invalidParams, "Invalid year of start date specified.")
     }
 
-    if (hasContent($FORM::endingYear) && !($FORM::endingYear =~ /[0-9]{4}/)){
-	push(@invalidParams, "Invalid year of stop date specified.")
+    if (hasContent($FORM::endingYear) && !($FORM::endingYear =~ /[0-9]{4}/)) {
+        push(@invalidParams, "Invalid year of stop date specified.")
     }
-    
+
     # If the "use site" coord. box is checked and if the site is in 
     # the longitude hash ...  && ($siteLatDMS{$FORM::site})
-    
-    if($modules->{'spatial'} eq 'true'){
-	if (($FORM::useSiteCoord) && ($siteLatDMS{$FORM::site}) ) {
-        
-	    $latDeg1 = $siteLatDMS{$FORM::site}[0];
-	    $latMin1 = $siteLatDMS{$FORM::site}[1];
-	    $latSec1 = $siteLatDMS{$FORM::site}[2];
-	    $hemisphLat1 = $siteLatDMS{$FORM::site}[3];
-	    $longDeg1 = $siteLongDMS{$FORM::site}[0];
-	    $longMin1 = $siteLongDMS{$FORM::site}[1];
-	    $longSec1 = $siteLongDMS{$FORM::site}[2];
-	    $hemisphLong1 = $siteLongDMS{$FORM::site}[3];
-	    
-	}  else {
-	    
-	    $latDeg1 = $FORM::latDeg1;
-	    $latMin1 = $FORM::latMin1;
-	    $latSec1 = $FORM::latSec1;
-	    $hemisphLat1 = $FORM::hemisphLat1;
-	    $longDeg1 = $FORM::longDeg1;
-	    $longMin1 = $FORM::longMin1;
-	    $longSec1 = $FORM::longSec1;
-	    $hemisphLong1 = $FORM::hemisphLong1;
-	}
 
-	if($latDeg1 > 90 || $latDeg1 < 0){
-	    push(@invalidParams, "Invalid first latitude degrees specified.");
-	}
-	if($latMin1 > 59 || $latMin1 < 0){
-	    push(@invalidParams, "Invalid first latitude minutes specified.");
-	}
-	if($latSec1 > 59 || $latSec1 < 0){
-	    push(@invalidParams, "Invalid first latitude seconds specified.");
-	}
-	if($longDeg1 > 180 || $longDeg1 < 0){
-	    push(@invalidParams, "Invalid first longitude degrees specified.");
-	}
-	if($longMin1 > 59 || $longMin1 < 0){
-	    push(@invalidParams, "Invalid first longitude minutes specified.");
-	}
-	if($longSec1 > 59 || $longSec1 < 0){
-	    push(@invalidParams, "Invalid first longitude seconds specified.");
-	}
+    if ($modules->{'spatial'} eq 'true') {
+        if (($FORM::useSiteCoord) && ($siteLatDMS{$FORM::site})) {
+            $latDeg1 = $siteLatDMS{$FORM::site}[0];
+            $latMin1 = $siteLatDMS{$FORM::site}[1];
+            $latSec1 = $siteLatDMS{$FORM::site}[2];
+            $hemisphLat1 = $siteLatDMS{$FORM::site}[3];
+            $longDeg1 = $siteLongDMS{$FORM::site}[0];
+            $longMin1 = $siteLongDMS{$FORM::site}[1];
+            $longSec1 = $siteLongDMS{$FORM::site}[2];
+            $hemisphLong1 = $siteLongDMS{$FORM::site}[3];
+        }  else {
+            $latDeg1 = $FORM::latDeg1;
+            $latMin1 = $FORM::latMin1;
+            $latSec1 = $FORM::latSec1;
+            $hemisphLat1 = $FORM::hemisphLat1;
+            $longDeg1 = $FORM::longDeg1;
+            $longMin1 = $FORM::longMin1;
+            $longSec1 = $FORM::longSec1;
+            $hemisphLong1 = $FORM::hemisphLong1;
+        }
 
-	if(hasContent($FORM::latDeg2) && ($FORM::latDeg2 > 90 || $FORM::latDeg2 < 0)){
-	    push(@invalidParams, "Invalid second latitude degrees specified.");
-	}
-	if(hasContent($FORM::latMin2) && ($FORM::latMin2 > 59 || $FORM::latMin2 < 0)){
-	    push(@invalidParams, "Invalid second latitude minutes specified.");
-	}
-	if(hasContent($FORM::latSec2) && ($FORM::latSec2 > 59 || $FORM::latSec2 < 0)){
-	    push(@invalidParams, "Invalid second latitude seconds specified.");
-	}
-	if(hasContent($FORM::latDeg2) && ($FORM::longDeg2 > 180 || $FORM::longDeg2 < 0)){
-	    push(@invalidParams, "Invalid second longitude degrees specified.");
-	}
-	if(hasContent($FORM::latMin2) && ($FORM::longMin2 > 59 || $FORM::longMin2 < 0)){
-	    push(@invalidParams, "Invalid second longitude minutes specified.");
-	}
-	if(hasContent($FORM::latSec2) && ($FORM::longSec2 > 59 || $FORM::longSec2 < 0)){
-	    push(@invalidParams, "Invalid second longitude seconds specified.");
-	}
+        if ($latDeg1 > 90 || $latDeg1 < 0) {
+            push(@invalidParams, "Invalid first latitude degrees specified.");
+        }
+        if ($latMin1 > 59 || $latMin1 < 0) {
+            push(@invalidParams, "Invalid first latitude minutes specified.");
+        }
+        if ($latSec1 > 59 || $latSec1 < 0) {
+            push(@invalidParams, "Invalid first latitude seconds specified.");
+        }
+        if ($longDeg1 > 180 || $longDeg1 < 0) {
+            push(@invalidParams, "Invalid first longitude degrees specified.");
+        }
+        if ($longMin1 > 59 || $longMin1 < 0) {
+            push(@invalidParams, "Invalid first longitude minutes specified.");
+        }
+        if ($longSec1 > 59 || $longSec1 < 0) {
+            push(@invalidParams, "Invalid first longitude seconds specified.");
+        }
+
+        if (hasContent($FORM::latDeg2) && ($FORM::latDeg2 > 90 || $FORM::latDeg2 < 0)) {
+            push(@invalidParams, "Invalid second latitude degrees specified.");
+        }
+        if (hasContent($FORM::latMin2) && ($FORM::latMin2 > 59 || $FORM::latMin2 < 0)) {
+            push(@invalidParams, "Invalid second latitude minutes specified.");
+        }
+        if (hasContent($FORM::latSec2) && ($FORM::latSec2 > 59 || $FORM::latSec2 < 0)) {
+            push(@invalidParams, "Invalid second latitude seconds specified.");
+        }
+        if (hasContent($FORM::latDeg2) && ($FORM::longDeg2 > 180 || $FORM::longDeg2 < 0)) {
+            push(@invalidParams, "Invalid second longitude degrees specified.");
+        }
+        if (hasContent($FORM::latMin2) && ($FORM::longMin2 > 59 || $FORM::longMin2 < 0)) {
+            push(@invalidParams, "Invalid second longitude minutes specified.");
+        }
+        if (hasContent($FORM::latSec2) && ($FORM::longSec2 > 59 || $FORM::longSec2 < 0)) {
+            push(@invalidParams, "Invalid second longitude seconds specified.");
+        }
     }
-    
+
     # Check if latDeg1 and longDeg1 has values if useSiteCoord is used. 
     # This check is required because some of the sites dont have lat 
     # and long mentioned in the config file. 
 
 
-    if($modules->{'spatial'} eq 'true' && $required->{'spatial'} eq 'true'){
-	if ($FORM::useSiteCoord ) {
-	    push(@invalidParams, "The Data Registry doesn't have latitude and longitude information for the site that you chose. Please go back and enter the spatial information.")
-		unless(hasContent($latDeg1) && hasContent($longDeg1));
-	}else{
-	    push(@invalidParams, "Latitude degrees are missing.")
-		unless (hasContent($latDeg1) || $required->{'spatial'} ne 'true');
-	    push(@invalidParams, "Longitude degrees are missing.")
-		unless (hasContent($longDeg1) || $required->{'spatial'} ne 'true');
-	}
-	push(@invalidParams, 
-	     "You must provide a geographic description if you provide latitude and longitude information.")
-	    if ((hasContent($latDeg1) || (hasContent($longDeg1))) && (!hasContent($FORM::geogdesc)));
+    if ($modules->{'spatial'} eq 'true' && $required->{'spatial'} eq 'true') {
+        if ($FORM::useSiteCoord) {
+            push(@invalidParams, "The Data Registry doesn't have latitude and longitude information for the site that you chose. Please go back and enter the spatial information.")
+                unless(hasContent($latDeg1) && hasContent($longDeg1));
+        } else {
+            push(@invalidParams, "Latitude degrees are missing.")
+                unless (hasContent($latDeg1) || $required->{'spatial'} ne 'true');
+            push(@invalidParams, "Longitude degrees are missing.")
+                unless (hasContent($longDeg1) || $required->{'spatial'} ne 'true');
+        }
+        push(@invalidParams, 
+            "You must provide a geographic description if you provide latitude and longitude information.")
+            if ((hasContent($latDeg1) || (hasContent($longDeg1))) && (!hasContent($FORM::geogdesc)));
     }
 
-    if($modules->{'method'} eq 'true'){
-	push(@invalidParams, 
-	     "You must provide a method description if you provide a method title.")
-	    if (hasContent($FORM::methodTitle) && ( !(scalar(@FORM::methodPara) > 0) 
-						    || (! hasContent($FORM::methodPara[0]))));
-	push(@invalidParams, 
-	     "You must provide a method description if you provide an extent of study description.")
-	    if (hasContent($FORM::studyExtentDescription) && (!(scalar(@FORM::methodPara) > 0) 
-							      || (! hasContent($FORM::methodPara[0]))));
-	push(@invalidParams, 
-	     "You must provide both an extent of study description and a sampling description, or neither.")
-	    if (
-                (hasContent($FORM::studyExtentDescription) && !hasContent($FORM::samplingDescription)) ||
-                (!hasContent($FORM::studyExtentDescription) && hasContent($FORM::samplingDescription))
-		);
+    if ($modules->{'method'} eq 'true') {
+    push (@invalidParams, 
+        "You must provide a method description if you provide a method title.")
+        if (hasContent($FORM::methodTitle) && (!(scalar(@FORM::methodPara) > 0) 
+            || (! hasContent($FORM::methodPara[0]))));
+    push(@invalidParams, 
+        "You must provide a method description if you provide an extent of study description.")
+        if (hasContent($FORM::studyExtentDescription) && (!(scalar(@FORM::methodPara) > 0) 
+            || (! hasContent($FORM::methodPara[0]))));
+    push(@invalidParams, 
+        "You must provide both an extent of study description and a sampling description, or neither.")
+        if ((hasContent($FORM::studyExtentDescription) && !hasContent($FORM::samplingDescription)) ||
+            (!hasContent($FORM::studyExtentDescription) && hasContent($FORM::samplingDescription)));
     }
 
     push(@invalidParams, "First name of data set contact is missing.")
@@ -745,22 +724,16 @@
     push(@invalidParams, "Last name of data set contact is missing.")
     unless (hasContent($FORM::origNamelastContact) || 
         $FORM::useOrigAddress);
-    if($required->{'contactEmailAddress'} eq 'true'){
-        if($FORM::useOrigAddress){
-    		push(@invalidParams, "Email address of data set owner is missing. This is required as it will be used as contact email address as specified by you.")
-    			unless (hasContent($FORM::origEmail));
-	} else {
-    		push(@invalidParams, "Email address of data set contact is missing.")
-    			unless (hasContent($FORM::origEmailContact));
-	}
+    if ($required->{'contactEmailAddress'} eq 'true') {
+        if ($FORM::useOrigAddress) {
+        push(@invalidParams, "Email address of data set owner is missing. This is required as it will be used as contact email address as specified by you.")
+            unless (hasContent($FORM::origEmail));
+        } else {
+            push(@invalidParams, "Email address of data set contact is missing.")
+                unless (hasContent($FORM::origEmailContact));
+        }
     }
-    
-    # scw: commented these out, don't seem to be matched to cfg setting
-    #push(@invalidParams, "Data medium is missing.")
-    #unless (hasContent($FORM::dataMedium) || $FORM::dataMedium =~ /elect/);
-    #push(@invalidParams, "Usage rights are missing.")
-    #unless (hasContent($FORM::useConstraints));
-    
+
     return \@invalidParams;
 }
 
@@ -798,28 +771,26 @@
  
     my $returnVal = "";
     
-    foreach (split(//,$val)){
-	my $var = unpack "C*", $_; 
-	
-	if($var<128 && $var>31){
-	    $returnVal=$returnVal.$_;
-	} elsif ($var<32){
-	    if($var == 10){
-		$returnVal=$returnVal.$_;
-	    }
-	    if($var == 13){
-		$returnVal=$returnVal.$_;
-	    }
-	    if($var == 9){
-		$returnVal=$returnVal.$_;
-	    }
-	} else { 
-	    #$returnVal=$returnVal."&#".$var.";";
-	    $returnVal=$returnVal.$_;
-	}
+    foreach (split(//,$val)) {
+        my $var = unpack "C*", $_; 
+
+        if ($var < 128 && $var > 31) {
+            $returnVal = $returnVal.$_;
+        } elsif ($var < 32) {
+            if ($var == 10) {
+                $returnVal = $returnVal.$_;
+            }
+            if ($var == 13) {
+                $returnVal = $returnVal.$_;
+            }
+            if ($var == 9) {
+                $returnVal = $returnVal.$_;
+            }
+        } else { 
+            $returnVal=$returnVal.$_;
+        }
     }
-    
-    #$returnVal =~ s/&/%26/g;    
+
     return $returnVal;
 }
 
@@ -839,19 +810,19 @@
 
     my $returnVal = "";
 
-    foreach (split(//,$val)){
+    foreach (split(//,$val)) {
         my $var = unpack "C*", $_;
 
-        if($var<128 && $var>31){
+        if($var < 128 && $var > 31) {
             $returnVal=$returnVal.$_;
-        } elsif ($var<32){
-            if($var == 10){
+        } elsif ($var < 32) {
+            if($var == 10) {
                 $returnVal=$returnVal.$_;
             }
-            if($var == 13){
+            if ($var == 13) {
                 $returnVal=$returnVal.$_;
             }
-            if($var == 9){
+            if ($var == 9) {
                 $returnVal=$returnVal.$_;
             }
         } else {
@@ -919,14 +890,14 @@
     my $fileSize = stat($outFile)->size;
     if ($fileSize == 0) {
         push(@errorMessages, "file $fileName is zero bytes!");
-        debug( "Registry: file $fileName is zero bytes!");
+        debug("Registry: file $fileName is zero bytes!");
     }
 
     # Now the file is on disk, send the object to Metacat
     my $session = CGI::Session->load();
-    if ( $session->is_empty ) {
+    if ($session->is_empty) {
         push(@errorMessages, "Must be logged in to upload files.");
-        debug( "Not logged in, cannot upload files.");
+        debug("Not logged in, cannot upload files.");
         return 0;
     }
 
@@ -933,7 +904,7 @@
     my $docid = newAccessionNumber($config->{'scope'});
     my $uploadReturn = uploadData($outFile, $docid);
     if (!$uploadReturn) {
-        debug( "Registry: uploading the data failed.");
+        debug("Registry: uploading the data failed.");
     }
 
     my $entityid = $fileHash."001";
@@ -974,7 +945,7 @@
     my $fileSize = stat($outFile)->size;
     if ($fileSize == 0) {
         push(@errorMessages, "file $fileName is zero bytes!");
-        debug( "Registry: file $fileName is zero bytes!");
+        debug("Registry: file $fileName is zero bytes!");
     }
 
     # file is in Metacat, generate the pertinent EML elements
@@ -1148,7 +1119,7 @@
     foreach my $origName (param()) {
         my $origNum = $origName;
         $origNum =~ s/origNamelast//; # get the index of the parameter 0 to 10
-        if ( $origNum =~ /^([0-9]+)$/) {
+        if ($origNum =~ /^([0-9]+)$/) {
             # do not generate EML for empty originator fields
             if (hasContent(param("origNamefirst" . $origNum))) {
                 my $first = normalize(param("origNamefirst" . $origNum));
@@ -1202,7 +1173,7 @@
     my $entityList = "";
 
     my $access = fileAccessElement(\%entityObjects);
-    while ( my ($docid, $data) = each(%entityObjects) ) {
+    while (my ($docid, $data) = each(%entityObjects)) {
         my $entityStub = qq|<otherEntity id="$data->{'entityid'}" scope="document">
             <entityName>$data->{'fileName'}</entityName>
             <physical scope="document">
@@ -1243,7 +1214,7 @@
         'private' => 'deny',
     );
 
-    while ( my ($docid, $data) = each(%entityObjects) ) {
+    while (my ($docid, $data) = each(%entityObjects)) {
         my $defaultAccess = $accessRoles{$data->{'filePerm'}};
         $accessList = qq|
                 <access authSystem="knb" order="denyFirst">
@@ -1267,7 +1238,7 @@
     foreach my $kwName (param()) {
         my $kwNum = $kwName;
         $kwNum =~ s/keyword//; # get the index of the parameter 0, ..., 10
-        if ( $kwNum =~ /^([0-9]+)$/ ){
+        if ($kwNum =~ /^([0-9]+)$/) {
             # don't generate xml for empty keyword fields
             # don't generate taxonomic keyword fields, those go in taxonomic coverage
             if (hasContent(param($kwName))) {
@@ -1656,9 +1627,9 @@
             my $taxIndex = $trn;
             $taxIndex =~ s/taxonRankName//; # get the index of the parameter 0, ..., 10
             my $trv = "taxonRankValue".$taxIndex;
-            if ( $taxIndex =~ /[0-9]+/ ){
+            if ($taxIndex =~ /[0-9]+/) {
                 if (hasContent(param($trn)) && hasContent(param($trv))) {
-                    if (! $foundFirstTaxon) {
+                    if (!$foundFirstTaxon) {
                         $cov .= "<taxonomicCoverage>\n";
                         $foundFirstTaxon = 1;
                         if (hasContent($FORM::taxaAuth)) {
@@ -1735,7 +1706,7 @@
         $access .= allowElement(getUsername(), 'read', 'write'); 
     }
 
-    if($config->{'publicReadable'} eq "true"){
+    if ($config->{'publicReadable'} eq "true") {
         $access .= allowElement('public', 'read');
     }
     $access .= "</access>\n";
@@ -1762,7 +1733,7 @@
         $username = "uid=$FORM::username,o=$FORM::organization,dc=ecoinformatics,dc=org";    
     } else {
         my $session = CGI::Session->load();
-        if ( !$session->is_empty ) {
+        if (!$session->is_empty) {
             $username = $session->param("username");
         }
     }
@@ -1789,7 +1760,7 @@
     my $tempfile;
 
     my $session = CGI::Session->load();
-    if ( !$session->is_empty ) {
+    if (!$session->is_empty) {
         my $username = $session->param("username");
         my $password = $session->param("password");
         $metacat->login($username, $password);
@@ -1804,7 +1775,7 @@
         $error ="Error in parsing the eml document";
         push(@errorMessages, $error);
     } elsif ($doc=~ /<error/) {
-        if ( $doc=~ /public/){
+        if ($doc=~ /public/) {
             $error ="Error in reading the eml document. Please check if you are logged in.";
             push(@errorMessages, $error);
         } else {
@@ -1822,7 +1793,7 @@
     return $xmldoc;
 }   
 
-    
+
 ################################################################################
 # 
 # read the eml document and send back a form with values filled in. 
@@ -1842,10 +1813,10 @@
         $error = 1;
         $$templateVars{'function'} = "modification";
         $$templateVars{'section'} = "Modification Status";
-        $template->process( $templates->{'response'}, $templateVars); 
+        $template->process($templates->{'response'}, $templateVars); 
     } else {
         $$templateVars{'form'} = 're_entry';
-        $template->process( $templates->{'entry'}, $templateVars);
+        $template->process($templates->{'entry'}, $templateVars);
     }
 }
 
@@ -1927,7 +1898,6 @@
     } elsif ($results->size() < 1) {
         $error ="Following tag not found: title. Please use Morpho to edit this document";
         push(@errorMessages, $error."\n");
-        #if ($DEBUG == 1){ print $error;}
     } else {
         foreach $node ($results->get_nodelist) {
             $$templateVars{'title'} = findValue($node, '../title');
